diff options
author | Jesse Morgan <jesse@jesterpm.net> | 2016-12-17 21:28:53 -0800 |
---|---|---|
committer | Jesse Morgan <jesse@jesterpm.net> | 2016-12-17 21:28:53 -0800 |
commit | 54df2afaa61c6a03cbb4a33c9b90fa572b6d07b8 (patch) | |
tree | 18147b92b969d25ffbe61935fb63035cac820dd0 /db-4.8.30/test/scr017/chk.db185 |
Berkeley DB 4.8 with rust build script for linux.
Diffstat (limited to 'db-4.8.30/test/scr017/chk.db185')
-rw-r--r-- | db-4.8.30/test/scr017/chk.db185 | 34 |
1 files changed, 34 insertions, 0 deletions
diff --git a/db-4.8.30/test/scr017/chk.db185 b/db-4.8.30/test/scr017/chk.db185 new file mode 100644 index 0000000..d868b69 --- /dev/null +++ b/db-4.8.30/test/scr017/chk.db185 @@ -0,0 +1,34 @@ +#!/bin/sh - +# +# $Id$ +# +# Check to make sure we can run DB 1.85 code. + +[ -f ../libdb.a ] || (cd .. && make libdb.a) || { + echo 'FAIL: unable to find or build libdb.a' + exit 1 +} + +# set -enable-compat185 when configure to get proper h files. +# if compile on linux blade server, add -pthread on cc +CINC=-I.. +[ `uname` = "Linux" ] && CINC="$CINC -pthread" + +if cc -g -Wall $CINC t.c ../libdb.a -o t; then + : +else + echo "FAIL: unable to compile test program t.c" + exit 1 +fi + +if ./t; then + : +else + echo "FAIL: test program failed" + exit 1 +fi + +# Clean up so the next test doesn't get confused. +rm -rf * + +exit 0 |